Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core
Class SimpleDelivery

    java.lang.Object
      org.jboss.messaging.core.SimpleDelivery

All Implemented Interfaces:
  Delivery, java.io.Serializable, SingleReceiverDelivery

Direct Known Subclasses:
  ReplicatorOutputDelivery

public class SimpleDelivery
extends java.lang.Object
implements SingleReceiverDelivery, java.io.Serializable

A simple Delivery implementation.

Version:
  `$Revision: 1.19 $` $Id: SimpleDelivery.java,v 1.19 2006/06/22 10:14:34 timfox Exp $
Author:
  Ovidiu Feodorov, Tim Fox
See Also:
  Serialized Form

Field Summary
`protected boolean` | `cancelled`
`protected boolean` | `done`
`protected DeliveryObserver` | `observer`
`protected MessageReference` | `reference`
`protected boolean` | `selectorAccepted`

Constructor Summary
`SimpleDelivery()`
`SimpleDelivery(boolean d)`
`SimpleDelivery(DeliveryObserver observer, MessageReference reference)`
`SimpleDelivery(DeliveryObserver observer, MessageReference reference, boolean done)`
`SimpleDelivery(DeliveryObserver observer, MessageReference reference, boolean done, boolean selectorAccepted)`
`SimpleDelivery(MessageReference reference, boolean done)`

Method Summary
`void` | `acknowledge(Transaction tx)`
`void` | `cancel()`
`DeliveryObserver` | `getObserver()`
`MessageReference` | `getReference()`
`boolean` | `isCancelled()`
`boolean` | `isDone()`
`boolean` | `isSelectorAccepted()`
`void` | `setObserver(DeliveryObserver observer)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### done

    protected boolean done

### cancelled

    protected boolean cancelled

### selectorAccepted

    protected boolean selectorAccepted

### observer

    protected DeliveryObserver observer

### reference

    protected MessageReference reference

Constructor Detail

### SimpleDelivery

    public SimpleDelivery()

### SimpleDelivery

    public SimpleDelivery(boolean d)

### SimpleDelivery

    public SimpleDelivery(DeliveryObserver observer,
                          MessageReference reference)

### SimpleDelivery

    public SimpleDelivery(MessageReference reference,
                          boolean done)

### SimpleDelivery

    public SimpleDelivery(DeliveryObserver observer,
                          MessageReference reference,
                          boolean done)

### SimpleDelivery

    public SimpleDelivery(DeliveryObserver observer,
                          MessageReference reference,
                          boolean done,
                          boolean selectorAccepted)

Method Detail

### getReference

    public MessageReference getReference()

  Specified by:
    `getReference` in interface `Delivery`

### isDone

    public boolean isDone()

  Specified by:
    `isDone` in interface `Delivery`

### isCancelled

    public boolean isCancelled()

  Specified by:
    `isCancelled` in interface `Delivery`

### isSelectorAccepted

    public boolean isSelectorAccepted()

  Specified by:
    `isSelectorAccepted` in interface `Delivery`

### setObserver

    public void setObserver(DeliveryObserver observer)

  Specified by:
    `setObserver` in interface `Delivery`

### getObserver

    public DeliveryObserver getObserver()

  Specified by:
    `getObserver` in interface `Delivery`

### acknowledge

    public void acknowledge(Transaction tx)
                     throws java.lang.Throwable

  Specified by:
    `acknowledge` in interface `SingleReceiverDelivery`
  Throws:
    `java.lang.Throwable`

### cancel

    public void cancel()
                throws java.lang.Throwable

  Specified by:
    `cancel` in interface `SingleReceiverDelivery`
  Throws:
    `java.lang.Throwable`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.